Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
orders
/
{order-id}
/
loads
Retrieve Loads of an Order for a Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/orders/{order-id}/loads \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": "<string>",
      "unit_of_measure": "Load",
      "load_id": "<string>",
      "ordinality": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "state": "created",
      "waypoints": [
        {
          "type": "pickup",
          "ordinality": 123,
          "site": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "lat": "<string>",
            "lon": "<string>",
            "full_address": "<string>",
            "routable": true,
            "discarded_at": "2023-11-07T05:31:56Z",
            "address": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "thoroughfare": "<string>",
              "premise": "<string>",
              "locality": "<string>",
              "administrative_area": "<string>",
              "postal_code": "<string>",
              "country": "US",
              "lat": "<string>",
              "lon": "<string>",
              "place_id": "<string>"
            },
            "next_billion_geofence": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "geofence": {
                "name": "<string>",
                "type": "<string>",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "geojson": {
                  "type": "<string>",
                  "coordinates": [
                    [
                      [
                        "<unknown>"
                      ]
                    ]
                  ]
                },
                "circle_center": {
                  "lat": 123,
                  "lon": 123
                },
                "circle_radius": 123,
                "tag": "pickup"
              },
              "moving_geofence": false,
              "tag": "scaling",
              "geofence_type": "moving"
            }
          },
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "contact": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "email": "<string>",
            "phone": "+18885551234"
          }
        }
      ],
      "notes": "<string>",
      "approved_at": "2023-11-07T05:31:56Z",
      "approved": true,
      "approvable": true,
      "unapprovable": true,
      "billing_approved_at": "2023-11-07T05:31:56Z",
      "field_approved_at": "2023-11-07T05:31:56Z",
      "ticket": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "ticket_number": "<string>",
        "preview_url": "<string>"
      },
      "foremen": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "discarded_at": "2023-11-07T05:31:56Z",
          "email": "<string>",
          "phone": "<string>",
          "external_id": "<string>",
          "schedule_on": true
        }
      ],
      "phase": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "code": "<string>",
        "primary": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "material": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "external_id": "<string>"
      },
      "approval_status": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "biller_approved": true,
        "company_admin_approved": true,
        "driver_approved": true,
        "foreman_approved": true,
        "billing_approved_at": "2023-11-07T05:31:56Z",
        "field_approved_at": "2023-11-07T05:31:56Z"
      },
      "ai_review": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "flagged",
        "confidence": "<string>",
        "summary": "<string>",
        "reasoning": "<string>",
        "issues": [
          "<string>"
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "material_rate_assignment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sell_price": "<string>",
        "buy_price": "<string>",
        "unit_of_measure": "Load",
        "site": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "lat": "<string>",
          "lon": "<string>",
          "full_address": "<string>",
          "routable": true,
          "discarded_at": "2023-11-07T05:31:56Z",
          "address": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "thoroughfare": "<string>",
            "premise": "<string>",
            "locality": "<string>",
            "administrative_area": "<string>",
            "postal_code": "<string>",
            "country": "US",
            "lat": "<string>",
            "lon": "<string>",
            "place_id": "<string>"
          },
          "next_billion_geofence": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "geofence": {
              "name": "<string>",
              "type": "<string>",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "geojson": {
                "type": "<string>",
                "coordinates": [
                  [
                    [
                      "<unknown>"
                    ]
                  ]
                ]
              },
              "circle_center": {
                "lat": 123,
                "lon": 123
              },
              "circle_radius": 123,
              "tag": "pickup"
            },
            "moving_geofence": false,
            "tag": "scaling",
            "geofence_type": "moving"
          }
        }
      },
      "load_summary": {
        "arrived_pickup_at": "2023-11-07T05:31:56Z",
        "pickup_time_minutes": 123,
        "arrived_dropoff_at": "2023-11-07T05:31:56Z",
        "dropoff_time_minutes": 123,
        "load_completed_at": "2023-11-07T05:31:56Z",
        "loaded_at": "2023-11-07T05:31:56Z",
        "unloaded_at": "2023-11-07T05:31:56Z",
        "gps_minutes": 1,
        "has_gps_data": true,
        "editable": true,
        "travelled_distance_meters": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

order-id
string<uuid>
required

Order ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[ticket][flagged]
boolean

Filter to only loads with flagged or unflagged tickets

filter[states][]
enum<string>[]

Filter loads by state. Multiple states can be provided to filter loads matching any of the specified states.

Available options:
created,
to_pickup,
arrived_pickup,
loaded,
to_dropoff,
arrived_dropoff,
unloaded,
completed,
canceled,
paused
filter[job][driver_ids]
array

The assigned Driver IDs for the Job

filter[job][pickup_site_ids]
array

The associated Pickup Site IDs for the Job

filter[job][dropoff_site_ids]
array

The associated Dropoff Site IDs for the Job

filter[job][states]
array

Job states

filter[job][vendor_account_ids]
array

The associated Vendor Account IDs for the Job

filter[job][material_ids]
array

The associated Material IDs for the Job

filter[material_ids]
array

The associated Material IDs

Response

OK

data
Load-LoadSummary-Read · object[]
required